When will the debian 11 template be available?

gusto

Member
Feb 10, 2018
39
0
11
21
I am using Proxmox 6.4 and would like to install LXC debian 11 but this template is not yet available. It says that Debian 11 can be installed manually.
I downloaded this rootfs and created lxc. LXC works, but I had to install some basic packages, e.g. nano, openssh etc.
When Proxmox adds a debian template to the system, what will be the differences between the debian 11 that I downloaded and installed manually and the Debian 11 template from Proxmox.
I think correctly when I write that it will be the same, but the proxmox template will contain more packages, e.g. nano, openssh etc?

What exactly is rootfs?
 

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
15,348
833
163

avw

Active Member
May 31, 2020
967
160
43
Is there anything special about the Debian 11 template we should know about? Or does one get the same result by upgrading Debian 10 containers to 11?
 

willybong

New Member
Apr 22, 2020
21
3
3
Are there any issues using lcx container Debian 11 with Proxmox 5.4?
Thanks!
 
Last edited:

willybong

New Member
Apr 22, 2020
21
3
3
Are there any issues using lcx container Debian 11 with Proxmox 5.4?
Thanks!
I have just tried it. I can say you that wordpress template based on Debian 11 doesen't work on Proxmox 5.
My question is: How can I check template compatibility?
 

oguz

Proxmox Staff Member
Staff member
Nov 19, 2018
4,091
499
88
I have just tried it. I can say you that wordpress template based on Debian 11 doesen't work on Proxmox 5.
My question is: How can I check template compatibility?

PVE 5 has been EOL for some time now, you should upgrade to one of the newer versions.
 

willybong

New Member
Apr 22, 2020
21
3
3
PVE 5 has been EOL for some time now, you should upgrade to one of the newer versions.
Thank you oguz! But I tried with wordpress template based on Debian 10 and everything goes well.
What is the idea at the base of it?
I believe that there is some imcompatibility between kernel version... What do you think about it?
Many thanks!
 

oguz

Proxmox Staff Member
Staff member
Nov 19, 2018
4,091
499
88
Thank you oguz! But I tried with wordpress template based on Debian 10 and everything goes well.
What is the idea at the base of it?
I believe that there is some imcompatibility between kernel version... What do you think about it?
Many thanks!
no, it's most likely not related to the kernel version (since LXC containers use the host kernel).

depending on your package versions you might be able to get the debian 11 container working as we added support for that in PVE5 some time ago [0]

however since PVE5 is EOL we don't provide support for it anymore.

[0]: https://git.proxmox.com/?p=pve-container.git;a=commit;h=fac9e75f76400bd9f44692d1118be6e87353adde
 

willybong

New Member
Apr 22, 2020
21
3
3

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!